# Search

### Highlights:&#x20;

* To describe a location you need to specify the zip code along with the address. For an airport, send the airports’ IATA code (e.g. JFK), and for other types of locations please try to provide as much data as you can.
* Please provide the `pickup_date` *& `pickup_time`* when possible. If you cannot and your search is to or from an airport, you may use `flight_date` & *`flight_time`* and our API will calculate an estimated pickup time for it.
* If you need to perform a round-trip search (mode = round\_trip), don’t forget to provide either `return_flight_date`  and `return_flight_time`

## Search for rate

<mark style="color:blue;">`GET`</mark> `https://api.shuttlefare.com/api/rates`

This endpoint allows you to get rates list

#### Query Parameters

| Name         | Type   | Description                                |
| ------------ | ------ | ------------------------------------------ |
| trip\_type   | string | one\_way or round\_trip                    |
| flight\_time | string | flight time. examples: "15:30"             |
| flight\_date | string | flight date must be in format:  yyyy-mm-dd |
| address      | string | Full address                               |
| zip\_code    | string | zip code of the address                    |
| airport      | string | airport code. example: JFK                 |
| pickup\_type | string | T OR F ( T : to airport or from airport)   |
| passengers   | number | number of passengers. example: 2           |
| api          | string | both OR pc OR ridenfly                     |

{% tabs %}
{% tab title="200 " %}

```
[
    {
        "id": "pc-3998124-10",
        "api": "pc",
        "name": "SUV",
        "TripTotalAmount": "99.35",
        "image_url": "https://www.privatecarapp.com/uploads/car_images/10.jpg",
        "bookable": true,
        "cancellation": {
            "amendable": true,
            "cancellable_offline": true,
            "cancellable_online": true,
            "policy": [
                {
                    "notice": 48,
                    "refund_percent": 100
                }
            ]
        },
        "max_bags": 4,
        "max_passengers": 11,
        "gratuity_accepted": true,
        "gratuity_included": false,
        "amendable": true,
        "currency_info": {
            "code": "USD",
            "prefix_symbol": "$",
            "suffix_symbol": ""
        }
    },
    {
        "id": "ridenfly-7070",
        "api": "ridenfly",
        "name": "Shared Shuttle Van",
        "TripTotalAmount": "77.58",
        "image_url": "http://prod.ridenfly.net/system/companies/images/000/000/120/original/logo7.png?1584809747",
        "bookable": true,
        "cancellation": {
            "amendable": true,
            "cancellable_offline": true,
            "cancellable_online": true,
            "policy": [
                {
                    "notice": 48,
                    "refund_percent": 100
                }
            ]
        },
        "max_bags": 4,
        "max_passengers": 11,
        "gratuity_accepted": true,
        "gratuity_included": false,
        "amendable": true,
        "currency_info": {
            "code": "USD",
            "prefix_symbol": "$",
            "suffix_symbol": ""
        }
    }
]
```

{% endtab %}

{% tab title="400 Missing inputs" %}

```
{ message: "passengers is required"}
```

{% endtab %}

{% tab title="403 Unauthorized !" %}

```
{ message: "Please provide an access token in the request"}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shuttlefare.com/endpoints/searching.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
